#include <stdarg.h>
#include "windef.h"
#include "winbase.h"
#include "winreg.h"
#include "winuser.h"
#include "wine/debug.h"
#include "wine/unicode.h"
#include "setupapi.h"

WINE_DEFAULT_DEBUG_CHANNEL(sti_ci);

HMODULE hStiCi;
static HRESULT (WINAPI *pClassInstall)(DI_FUNCTION, HDEVINFO, PSP_DEVINFO_DATA);

int PASCAL WinMain (HINSTANCE hInstance, HINSTANCE prev, LPSTR cmdline, int show)
{
    TRACE("STARTING INSTALL STI DEVICE\n");	

    hStiCi = LoadLibraryA("sti_ci.dll.so");
    if (!hStiCi) {
	TRACE("ERROR LOADING LIBRARY sti_ci.dll.so\n");	
        return FALSE;
    }
    
    pClassInstall = (void *)GetProcAddress(hStiCi, "ClassInstall");
    if (!pClassInstall){
	TRACE("ERROR GET PROC ADDRESS ClassInstall\n");        
	return FALSE;
    }

    HDEVINFO devinfo;

    pClassInstall(DIF_INSTALLDEVICE, devinfo, NULL);

    TRACE("END - INSTALLED STI DEVICE SUCCESSFUL\n");	

    return TRUE;
}
